[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#385844: marked as done (please don't assume oss-compatible /dev/dsp is present)

Your message dated Sat, 29 Oct 2011 17:47:24 +0000
with message-id <E1RKD08-00063p-6f@franck.debian.org>
and subject line Bug#385844: fixed in libmikmod 3.1.11-8
has caused the Debian Bug report #385844,
regarding please don't assume oss-compatible /dev/dsp is present
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

385844: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=385844
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: libmikmod2
Version: 3.1.11-a-6
Severity: normal

libmikmod2 seems to require an OSS-compatible /dev/dsp to work.  However, starting
with Linux 2.6 (hence, starting with etch), both libasound2 and /dev/dsp
interfaces [1] are provided, and applications are no longer allowed to assume
a standard /dev/dsp is present.

This situation makes this package become broken for most users (i.e. those who
will install etch, or upgrade from sarge/linux2.4 and no longer have a working
/dev/dsp).  I believe libmikmod2 should try to avoid this by enabling OSS
compatibility modules.

Fortunately, you don't need to worry about the details of binding OSS compat
modules to ALSA ones so that they're loaded when and only when ALSA drivers
are in use.  The "oss-compat" package has been created with this purpose.  You
can add a dependency on "oss-compat" to handle the compatibility for you.

[1] Not directly related to ALSA and OSS driver implementations.  Whereas
    libasound2 is ALSA-specific, /dev/dsp can be provided by both.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-amd64-k8
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)

Versions of packages libmikmod2 depends on:
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries

libmikmod2 recommends no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: libmikmod
Source-Version: 3.1.11-8

We believe that the bug you reported is fixed in the latest version of
libmikmod, which is due to be installed in the Debian FTP archive:

  to main/libm/libmikmod/libmikmod2-dev_3.1.11-a-8_i386.deb
  to main/libm/libmikmod/libmikmod2_3.1.11-a-8_i386.deb
  to main/libm/libmikmod/libmikmod_3.1.11-8.debian.tar.gz
  to main/libm/libmikmod/libmikmod_3.1.11-8.dsc

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385844@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Gergely Nagy <algernon@madhouse-project.org> (supplier of updated libmikmod package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Sat, 29 Oct 2011 16:36:31 +0200
Source: libmikmod
Binary: libmikmod2-dev libmikmod2
Architecture: source i386
Version: 3.1.11-8
Distribution: unstable
Urgency: low
Maintainer: Gergely Nagy <algernon@madhouse-project.org>
Changed-By: Gergely Nagy <algernon@madhouse-project.org>
 libmikmod2 - Portable sound library
 libmikmod2-dev - Portable sound library - development files
Closes: 123150 385844 423027 536000 628162
 libmikmod (3.1.11-8) unstable; urgency=low
   * New maintainer  (Closes: #628162).
   * Updated to use short-form dh(7).
   * Switch to format: 3.0 (quilt).
   * Use dh-autoreconf to freshen the autotools stuff. (Closes: #536000)
   * Add lintian overrides (with comments), to silence false alarms.
   * Include the upstream README under /usr/share/doc/libmikmod2, as this
     is where driver options are documented. (Closes: #423027)
   * Disable the esd driver. (Closes: #123150)
   * Depend on oss-compat, to be able to assume an OSS compatible /dev/dsp.
     (Closes: #385844). This is done on Linux too, because the ALSA driver
     is broken too.
 9ef34fd36f77759ac240a3bc1e31a3314658587e 1290 libmikmod_3.1.11-8.dsc
 bfeede5f65c737871d8599768aea13a0d169e391 16592 libmikmod_3.1.11-8.debian.tar.gz
 069164b89d64aea8302601c86cc18be4fe6ee8eb 251812 libmikmod2-dev_3.1.11-a-8_i386.deb
 c61f54454b0b439551a6400a81bd9a3b70ea5f36 159818 libmikmod2_3.1.11-a-8_i386.deb
 3dc869ac711c8b17920e7c7d374803791b18d126ca36f6edf9399eeab8343f74 1290 libmikmod_3.1.11-8.dsc
 8baa3f84177fbbff537c84c5ae88ce1bcfe4fdc63c4ea6bb5c50047b7cfaadaa 16592 libmikmod_3.1.11-8.debian.tar.gz
 53e4d5947ba0420ed5f0414bc3d41ae933779ea40d6ed2250c9b7abb798017fe 251812 libmikmod2-dev_3.1.11-a-8_i386.deb
 bd2462a728470fa0206f0b00c14b87085f382ce6b3e41161afb40b507fa99c2e 159818 libmikmod2_3.1.11-a-8_i386.deb
 5f8441c385b62a99ccfe4bd68b91d0d4 1290 libs optional libmikmod_3.1.11-8.dsc
 fe636a3939e8156326db0e0153effeb9 16592 libs optional libmikmod_3.1.11-8.debian.tar.gz
 5a92a6d207ea43d812d6ceaddb415986 251812 libdevel optional libmikmod2-dev_3.1.11-a-8_i386.deb
 d7e6253ed2188769be4a82f28c6790ae 159818 libs optional libmikmod2_3.1.11-a-8_i386.deb

Version: GnuPG v1.4.11 (GNU/Linux)


--- End Message ---

Reply to: